#!/usr/local/bin/perl

use strict;

my $anzArgs = @ARGV;

if ($anzArgs != 3) {
	die "Usage: $0  <[list of] protein-Label>  <column[s](1=ProtLabel)>   new-Value\n";
}

my $fish = shift;
my @protLabel = split(",", $fish);
print STDERR "protLabel =  @protLabel \n";
my $AnzLabel = @protLabel;

$fish = shift;
my @modColumn = split(",", $fish);
die ("Numbers of labels and columns do not match") if($AnzLabel != @modColumn);

my $newValue = shift;


while ( <STDIN> )
{
	chomp;
	my @zeile = split(' ');

	if($zeile[0] !~ "#") 
	{
		for(my $i=0; $i<$AnzLabel; $i++) 
		{
			if($zeile[0] =~ "protein:" || $zeile[0] =~ "change:") {
				if($zeile[1] =~ $protLabel[$i])
				{
					$zeile[$modColumn[$i]] = $newValue;
				}
			}
		}
		
		for(my $i=0; $i<@zeile; $i++)
		{
			print $zeile[$i]." ";
		}
		print "\n";
	}
	
}
print "\n";

exit
